
Summary:	Tiling window manager with keyboard-oriented interface
Name:		ion3
Version:	20080207
Release:	%mkrel 1
Group:		Graphical desktop/Other
License:	Artistic
URL: 		http://iki.fi/tuomov/ion/
Source0: 	http://iki.fi/tuomov/dl/ion-3-%{version}.tar.gz
Source1:	http://iki.fi/tuomov/dl/ion-doc-3-%{version}.tar.gz
Patch0:		ion3-doc-makefile-topdir.patch
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:  freetype2-devel
BuildRequires:  lua-devel >= 5.1
BuildRequires:  lua >= 5.1
BuildRequires:  libltdl-devel
BuildRequires:  X11-devel
BuildRequires:  tetex-dvipdfm
BuildRequires:  latex2html
BuildRequires:  chrpath perl


Requires:	xterm
# for xmessage
Requires:       xmessage

%description
Ion was written as an experiment on a different kind of window man-
agement model and it tries to address the navigation problem by hav-
ing the screen divided into frames that take up the whole screen and
never overlap.

%prep
%__rm -rf $RPM_BUILD_ROOT
%setup -q -n ion-3-%{version}
tar xzf %{SOURCE1}

(
cd ion-doc-3-*
%patch0
)

# Fix path-names in the manpage.
#%__perl -pi -e "s#ETCDIR#"%ionetc"#g"       man/%name.1.in
#%__perl -pi -e "s#.I DOCDIR/##g"            man/%name.1.in
# %__perl -pi -e "s#.I X\(1x\)/#.I X(7x)#g"   man/%name.1.in


%build
perl -pi -e 's#/usr/local#\${DESTDIR}/usr#g' system.mk
perl -pi -e 's#/lib#/%{_lib}#g' system.mk
perl -pi -e 's#ETCDIR=\$\(PREFIX\)/etc/ion3#ETCDIR=\${DESTDIR}/etc/ion3#g' system.mk
make

# build doc
(
cd ion-doc-3-*
make all all-pdf
rm -f ionconf/images.{out,idx}
)

%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=%{buildroot}
%makeinstall

cp -a ion-doc-3-*/{*.pdf,ionconf,ionnotes} $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat >    $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/15%{name} << EOF
NAME=%name
EXEC=%{_bindir}/%{name}
DESC=%summary
SCRIPT:
exec %{_bindir}/%{name}
EOF

%post
%make_session

%postun
%make_session

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%attr(755,root,root) %{_bindir}/*

%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/bin
%{_libdir}/%{name}/mod
%{_libdir}/%{name}/lc

%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/15%{name}

%dir %{_datadir}/%{name}
%attr(755,root,root) %{_datadir}/%{name}/ion-*
%{_datadir}/%{name}/welcome*.txt

%{_datadir}/doc/%{name}
%{_datadir}/locale/*/LC_MESSAGES/*
%{_mandir}/man*/*
%{_mandir}/*/man*/*






%changelog
* Thu Feb 07 2008 Gaëtan Lehmann <glehmann@mandriva.org> 20080207-1mdv2008.1
+ Revision: 163649
- new stable release! (20080207)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description
    - fix spacing at top of description

* Fri Dec 28 2007 Gaëtan Lehmann <glehmann@mandriva.org> 20071220-1mdv2008.1
+ Revision: 138834
- 20071220
  don't recompress sources

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Wed Oct 24 2007 Jérôme Soyer <saispo@mandriva.org> 20070927-1mdv2008.1
+ Revision: 101719
- New release

* Mon Aug 06 2007 Gaëtan Lehmann <glehmann@mandriva.org> 20070720-1mdv2008.0
+ Revision: 59526
- 20070720

* Thu Jul 05 2007 Gaëtan Lehmann <glehmann@mandriva.org> 20070608-1mdv2008.0
+ Revision: 48475
- 20070608


* Fri Feb 23 2007 Gaëtan Lehmann <glehmann@mandriva.org> 20070203-1mdv2007.0
+ Revision: 124897
- 20070203

* Tue Jan 02 2007 Gaëtan Lehmann <glehmann@mandriva.org> 20061223-1mdv2007.1
+ Revision: 103465
- 20061223

* Thu Nov 30 2006 Gaëtan Lehmann <glehmann@mandriva.org> 20061029-1mdv2007.1
+ Revision: 89029
- 20061029

* Sat Aug 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 20060524-3mdv2007.0
+ Revision: 56792
- rebuild with shared lua 5.1

* Fri Aug 18 2006 Gaëtan Lehmann <glehmann@mandriva.org> 20060524-2mdv2007.0
+ Revision: 56524
- requires only xmessage instead of the full X contribs

* Tue Aug 15 2006 Gaëtan Lehmann <glehmann@mandriva.org> 20060524-1mdv2007.0
+ Revision: 55858
- update to 20060524

* Thu Aug 10 2006 Gaëtan Lehmann <glehmann@mandriva.org> 20060326-2mdv2007.0
+ Revision: 55081
- rebuild
- Import ion3

* Tue Mar 28 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 20060326-1mdk
- New release 20060326

* Mon Mar 20 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 20060317-1mdk
- New release 20060317

* Sun Mar 05 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 20060305-1mdk
- New release 20060305

* Sat Jan 07 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 20060107-1mdk
- New release 20060107
- update doc

* Wed Dec 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 20051210-1mdk
- New release 20051210

* Wed Nov 23 2005 <gaetan.lehmann@jouy.inra.fr> 20051029-1mdk
- initial mandriva package (based on ion 2 package)

